ViennaCL - The Vienna Computing Library: libviennacl/src/blas3_host.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Namespaces | Functions
blas3_host.cpp File Reference
`#include <iostream>`
`#include "viennacl.hpp"`
`#include "viennacl_private.hpp"`
`#include "blas3.hpp"`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/linalg/direct_solve.hpp"`
`#include "viennacl/linalg/prod.hpp"`

Go to the source code of this file.

## Namespaces
| detail

## Functions
template<typename NumericT >
ViennaCLStatus | detail::ViennaCLHostgemm_impl (ViennaCLBackend, ViennaCLOrder orderA, ViennaCLTranspose transA, ViennaCLOrder orderB, ViennaCLTranspose transB, ViennaCLOrder orderC, ViennaCLInt m, ViennaCLInt n, ViennaCLInt k, NumericT alpha, NumericT *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, NumericT *B, ViennaCLInt offB_row, ViennaCLInt offB_col, ViennaCLInt incB_row, ViennaCLInt incB_col, ViennaCLInt ldb, NumericT beta, NumericT *C, ViennaCLInt offC_row, ViennaCLInt offC_col, ViennaCLInt incC_row, ViennaCLInt incC_col, ViennaCLInt ldc)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSgemm (ViennaCLBackend backend, ViennaCLOrder orderA, ViennaCLTranspose transA, ViennaCLOrder orderB, ViennaCLTranspose transB, ViennaCLOrder orderC, ViennaCLInt m, ViennaCLInt n, ViennaCLInt k, float alpha, float *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, float *B, ViennaCLInt offB_row, ViennaCLInt offB_col, ViennaCLInt incB_row, ViennaCLInt incB_col, ViennaCLInt ldb, float beta, float *C, ViennaCLInt offC_row, ViennaCLInt offC_col, ViennaCLInt incC_row, ViennaCLInt incC_col, ViennaCLInt ldc)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDgemm (ViennaCLBackend backend, ViennaCLOrder orderA, ViennaCLTranspose transA, ViennaCLOrder orderB, ViennaCLTranspose transB, ViennaCLOrder orderC, ViennaCLInt m, ViennaCLInt n, ViennaCLInt k, double alpha, double *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, double *B, ViennaCLInt offB_row, ViennaCLInt offB_col, ViennaCLInt incB_row, ViennaCLInt incB_col, ViennaCLInt ldb, double beta, double *C, ViennaCLInt offC_row, ViennaCLInt offC_col, ViennaCLInt incC_row, ViennaCLInt incC_col, ViennaCLInt ldc)

## Function Documentation

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDgemm | ( | ViennaCLBackend | backend,
|  | ViennaCLOrder | orderA,
|  | ViennaCLTranspose | transA,
|  | ViennaCLOrder | orderB,
|  | ViennaCLTranspose | transB,
|  | ViennaCLOrder | orderC,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | ViennaCLInt | k,
|  | double | alpha,
|  | double * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | double * | B,
|  | ViennaCLInt | offB_row,
|  | ViennaCLInt | offB_col,
|  | ViennaCLInt | incB_row,
|  | ViennaCLInt | incB_col,
|  | ViennaCLInt | ldb,
|  | double | beta,
|  | double * | C,
|  | ViennaCLInt | offC_row,
|  | ViennaCLInt | offC_col,
|  | ViennaCLInt | incC_row,
|  | ViennaCLInt | incC_col,
|  | ViennaCLInt | ldc
| ) |  |

Definition at line 108 of file blas3_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSgemm | ( | ViennaCLBackend | backend,
|  | ViennaCLOrder | orderA,
|  | ViennaCLTranspose | transA,
|  | ViennaCLOrder | orderB,
|  | ViennaCLTranspose | transB,
|  | ViennaCLOrder | orderC,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | ViennaCLInt | k,
|  | float | alpha,
|  | float * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | float * | B,
|  | ViennaCLInt | offB_row,
|  | ViennaCLInt | offB_col,
|  | ViennaCLInt | incB_row,
|  | ViennaCLInt | incB_col,
|  | ViennaCLInt | ldb,
|  | float | beta,
|  | float * | C,
|  | ViennaCLInt | offC_row,
|  | ViennaCLInt | offC_col,
|  | ViennaCLInt | incC_row,
|  | ViennaCLInt | incC_col,
|  | ViennaCLInt | ldc
| ) |  |

Definition at line 85 of file blas3_host.cpp.